Changeset 2152 for ThirdParty/Mumps


Ignore:
Timestamp:
Mar 29, 2011 6:42:29 AM (9 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2125 r2152  
    17081708  if test "x$have_svnversion" = xyes; then
    17091709
    1710     svn_rev_tmp=`cd $srcdir/$coin_has_mumps ; svnversion`
    1711     MUMPS_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    1712     if test $MUMPS_SVN_REV != exported; then
     1710    svn_rev_tmp=`LANG=en_EN svnversion $srcdir 2>/dev/null`
     1711    if test "$MUMPS_SVN_REV" != exported; then
     1712      MUMPS_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    17131713
    17141714cat >>confdefs.h <<_ACEOF
     
    39303930
    39313931# Find out how to call Fortran from C and determine Fortran runtime libraries
     3932
     3933# get FLIBS
    39323934ac_ext=f
    39333935ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    39813983ac_save_FFLAGS=$FFLAGS
    39823984FFLAGS="$FFLAGS $ac_verb"
    3983 (eval echo $as_me:3983: \"$ac_link\") >&5
     3985(eval echo $as_me:3985: \"$ac_link\") >&5
    39843986ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39853987echo "$ac_f77_v_output" >&5
     
    40594061ac_save_FFLAGS=$FFLAGS
    40604062FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4061 (eval echo $as_me:4061: \"$ac_link\") >&5
     4063(eval echo $as_me:4063: \"$ac_link\") >&5
    40624064ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40634065echo "$ac_f77_v_output" >&5
     
    42254227
    42264228
    4227 ac_ext=f
    4228 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4229 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4230 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4231 
    4232 ac_ext=f
    4233 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4234 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4235 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4236 
    4237 echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
    4238 echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
    4239 if test "${ac_cv_f77_dummy_main+set}" = set; then
    4240   echo $ECHO_N "(cached) $ECHO_C" >&6
    4241 else
    4242   ac_f77_dm_save_LIBS=$LIBS
    4243  LIBS="$LIBS $FLIBS"
    4244  ac_fortran_dm_var=F77_DUMMY_MAIN
    4245  ac_ext=c
     4229ac_ext=c
    42464230ac_cpp='$CPP $CPPFLAGS'
    42474231ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    42494233ac_compiler_gnu=$ac_cv_c_compiler_gnu
    42504234
    4251  # First, try linking without a dummy main:
    4252  cat >conftest.$ac_ext <<_ACEOF
    4253 /* confdefs.h.  */
    4254 _ACEOF
    4255 cat confdefs.h >>conftest.$ac_ext
    4256 cat >>conftest.$ac_ext <<_ACEOF
    4257 /* end confdefs.h.  */
    4258 
    4259 #ifdef F77_DUMMY_MAIN
    4260 
    4261 #  ifdef __cplusplus
    4262      extern "C"
    4263 #  endif
    4264    int F77_DUMMY_MAIN() { return 1; }
    4265 
    4266 #endif
    4267 int
    4268 main ()
    4269 {
    4270 
    4271   ;
    4272   return 0;
    4273 }
    4274 _ACEOF
    4275 rm -f conftest.$ac_objext conftest$ac_exeext
    4276 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4277   (eval $ac_link) 2>conftest.er1
    4278   ac_status=$?
    4279   grep -v '^ *+' conftest.er1 >conftest.err
    4280   rm -f conftest.er1
    4281   cat conftest.err >&5
    4282   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4283   (exit $ac_status); } &&
    4284          { ac_try='test -z "$ac_c_werror_flag"
    4285                          || test ! -s conftest.err'
    4286   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4287   (eval $ac_try) 2>&5
    4288   ac_status=$?
    4289   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4290   (exit $ac_status); }; } &&
    4291          { ac_try='test -s conftest$ac_exeext'
    4292   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4293   (eval $ac_try) 2>&5
    4294   ac_status=$?
    4295   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4296   (exit $ac_status); }; }; then
    4297   ac_cv_fortran_dummy_main=none
    4298 else
    4299   echo "$as_me: failed program was:" >&5
    4300 sed 's/^/| /' conftest.$ac_ext >&5
    4301 
    4302 ac_cv_fortran_dummy_main=unknown
    4303 fi
    4304 rm -f conftest.err conftest.$ac_objext \
    4305       conftest$ac_exeext conftest.$ac_ext
    4306 
    4307  if test $ac_cv_fortran_dummy_main = unknown; then
    4308    for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
    4309      cat >conftest.$ac_ext <<_ACEOF
    4310 /* confdefs.h.  */
    4311 _ACEOF
    4312 cat confdefs.h >>conftest.$ac_ext
    4313 cat >>conftest.$ac_ext <<_ACEOF
    4314 /* end confdefs.h.  */
    4315 #define $ac_fortran_dm_var $ac_func
    4316 #ifdef F77_DUMMY_MAIN
    4317 
    4318 #  ifdef __cplusplus
    4319      extern "C"
    4320 #  endif
    4321    int F77_DUMMY_MAIN() { return 1; }
    4322 
    4323 #endif
    4324 int
    4325 main ()
    4326 {
    4327 
    4328   ;
    4329   return 0;
    4330 }
    4331 _ACEOF
    4332 rm -f conftest.$ac_objext conftest$ac_exeext
    4333 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4334   (eval $ac_link) 2>conftest.er1
    4335   ac_status=$?
    4336   grep -v '^ *+' conftest.er1 >conftest.err
    4337   rm -f conftest.er1
    4338   cat conftest.err >&5
    4339   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4340   (exit $ac_status); } &&
    4341          { ac_try='test -z "$ac_c_werror_flag"
    4342                          || test ! -s conftest.err'
    4343   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4344   (eval $ac_try) 2>&5
    4345   ac_status=$?
    4346   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4347   (exit $ac_status); }; } &&
    4348          { ac_try='test -s conftest$ac_exeext'
    4349   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4350   (eval $ac_try) 2>&5
    4351   ac_status=$?
    4352   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4353   (exit $ac_status); }; }; then
    4354   ac_cv_fortran_dummy_main=$ac_func; break
    4355 else
    4356   echo "$as_me: failed program was:" >&5
    4357 sed 's/^/| /' conftest.$ac_ext >&5
    4358 
    4359 fi
    4360 rm -f conftest.err conftest.$ac_objext \
    4361       conftest$ac_exeext conftest.$ac_ext
    4362    done
    4363  fi
    4364  ac_ext=f
    4365 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4366 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4367 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4368  ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
    4369  rm -f conftest*
    4370  LIBS=$ac_f77_dm_save_LIBS
    4371 
    4372 fi
    4373 echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
    4374 echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
    4375 F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
    4376 if test "$F77_DUMMY_MAIN" != unknown; then
    4377   if test $F77_DUMMY_MAIN != none; then
    4378 
    4379 cat >>confdefs.h <<_ACEOF
    4380 #define F77_DUMMY_MAIN $F77_DUMMY_MAIN
    4381 _ACEOF
    4382 
    4383   if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
    4384 
    4385 cat >>confdefs.h <<\_ACEOF
    4386 #define FC_DUMMY_MAIN_EQ_F77 1
    4387 _ACEOF
    4388 
    4389   fi
    4390 fi
    4391 else
    4392   { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
    4393 See \`config.log' for more details." >&5
    4394 echo "$as_me: error: linking to Fortran libraries from C fails
    4395 See \`config.log' for more details." >&2;}
    4396    { (exit 1); exit 1; }; }
    4397 fi
    4398 
    4399 
    4400 ac_ext=f
    4401 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4402 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4403 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4404 
    4405 ac_ext=f
    4406 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4407 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4408 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4409 echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
    4410 echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
    4411 if test "${ac_cv_f77_mangling+set}" = set; then
    4412   echo $ECHO_N "(cached) $ECHO_C" >&6
    4413 else
    4414   cat >conftest.$ac_ext <<_ACEOF
    4415       subroutine foobar()
    4416       return
    4417       end
    4418       subroutine foo_bar()
    4419       return
    4420       end
    4421 _ACEOF
    4422 rm -f conftest.$ac_objext
    4423 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4424   (eval $ac_compile) 2>conftest.er1
    4425   ac_status=$?
    4426   grep -v '^ *+' conftest.er1 >conftest.err
    4427   rm -f conftest.er1
    4428   cat conftest.err >&5
    4429   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4430   (exit $ac_status); } &&
    4431          { ac_try='test -z "$ac_f77_werror_flag"
    4432                          || test ! -s conftest.err'
    4433   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4434   (eval $ac_try) 2>&5
    4435   ac_status=$?
    4436   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4437   (exit $ac_status); }; } &&
    4438          { ac_try='test -s conftest.$ac_objext'
    4439   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4440   (eval $ac_try) 2>&5
    4441   ac_status=$?
    4442   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4443   (exit $ac_status); }; }; then
    4444   mv conftest.$ac_objext cfortran_test.$ac_objext
    4445 
    4446   ac_save_LIBS=$LIBS
    4447   LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
    4448 
    4449   ac_ext=c
    4450 ac_cpp='$CPP $CPPFLAGS'
    4451 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4452 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4453 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4454   ac_success=no
    4455   for ac_foobar in foobar FOOBAR; do
    4456     for ac_underscore in "" "_"; do
    4457       ac_func="$ac_foobar$ac_underscore"
    4458       cat >conftest.$ac_ext <<_ACEOF
    4459 /* confdefs.h.  */
    4460 _ACEOF
    4461 cat confdefs.h >>conftest.$ac_ext
    4462 cat >>conftest.$ac_ext <<_ACEOF
    4463 /* end confdefs.h.  */
    4464 
    4465 /* Override any gcc2 internal prototype to avoid an error.  */
    4466 #ifdef __cplusplus
    4467 extern "C"
    4468 #endif
    4469 /* We use char because int might match the return type of a gcc2
    4470    builtin and then its argument prototype would still apply.  */
    4471 char $ac_func ();
    4472 #ifdef F77_DUMMY_MAIN
    4473 
    4474 #  ifdef __cplusplus
    4475      extern "C"
    4476 #  endif
    4477    int F77_DUMMY_MAIN() { return 1; }
    4478 
    4479 #endif
    4480 int
    4481 main ()
    4482 {
    4483 $ac_func ();
    4484   ;
    4485   return 0;
    4486 }
    4487 _ACEOF
    4488 rm -f conftest.$ac_objext conftest$ac_exeext
    4489 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4490   (eval $ac_link) 2>conftest.er1
    4491   ac_status=$?
    4492   grep -v '^ *+' conftest.er1 >conftest.err
    4493   rm -f conftest.er1
    4494   cat conftest.err >&5
    4495   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4496   (exit $ac_status); } &&
    4497          { ac_try='test -z "$ac_c_werror_flag"
    4498                          || test ! -s conftest.err'
    4499   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4500   (eval $ac_try) 2>&5
    4501   ac_status=$?
    4502   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4503   (exit $ac_status); }; } &&
    4504          { ac_try='test -s conftest$ac_exeext'
    4505   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4506   (eval $ac_try) 2>&5
    4507   ac_status=$?
    4508   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4509   (exit $ac_status); }; }; then
    4510   ac_success=yes; break 2
    4511 else
    4512   echo "$as_me: failed program was:" >&5
    4513 sed 's/^/| /' conftest.$ac_ext >&5
    4514 
    4515 fi
    4516 rm -f conftest.err conftest.$ac_objext \
    4517       conftest$ac_exeext conftest.$ac_ext
    4518     done
    4519   done
    4520   ac_ext=f
    4521 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4522 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4523 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4524 
    4525   if test "$ac_success" = "yes"; then
    4526      case $ac_foobar in
    4527         foobar)
    4528            ac_case=lower
    4529            ac_foo_bar=foo_bar
    4530            ;;
    4531         FOOBAR)
    4532            ac_case=upper
    4533            ac_foo_bar=FOO_BAR
    4534            ;;
    4535      esac
    4536 
    4537      ac_ext=c
    4538 ac_cpp='$CPP $CPPFLAGS'
    4539 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4540 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4541 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4542      ac_success_extra=no
    4543      for ac_extra in "" "_"; do
    4544         ac_func="$ac_foo_bar$ac_underscore$ac_extra"
    4545         cat >conftest.$ac_ext <<_ACEOF
    4546 /* confdefs.h.  */
    4547 _ACEOF
    4548 cat confdefs.h >>conftest.$ac_ext
    4549 cat >>conftest.$ac_ext <<_ACEOF
    4550 /* end confdefs.h.  */
    4551 
    4552 /* Override any gcc2 internal prototype to avoid an error.  */
    4553 #ifdef __cplusplus
    4554 extern "C"
    4555 #endif
    4556 /* We use char because int might match the return type of a gcc2
    4557    builtin and then its argument prototype would still apply.  */
    4558 char $ac_func ();
    4559 #ifdef F77_DUMMY_MAIN
    4560 
    4561 #  ifdef __cplusplus
    4562      extern "C"
    4563 #  endif
    4564    int F77_DUMMY_MAIN() { return 1; }
    4565 
    4566 #endif
    4567 int
    4568 main ()
    4569 {
    4570 $ac_func ();
    4571   ;
    4572   return 0;
    4573 }
    4574 _ACEOF
    4575 rm -f conftest.$ac_objext conftest$ac_exeext
    4576 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4577   (eval $ac_link) 2>conftest.er1
    4578   ac_status=$?
    4579   grep -v '^ *+' conftest.er1 >conftest.err
    4580   rm -f conftest.er1
    4581   cat conftest.err >&5
    4582   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4583   (exit $ac_status); } &&
    4584          { ac_try='test -z "$ac_c_werror_flag"
    4585                          || test ! -s conftest.err'
    4586   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4587   (eval $ac_try) 2>&5
    4588   ac_status=$?
    4589   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4590   (exit $ac_status); }; } &&
    4591          { ac_try='test -s conftest$ac_exeext'
    4592   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4593   (eval $ac_try) 2>&5
    4594   ac_status=$?
    4595   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4596   (exit $ac_status); }; }; then
    4597   ac_success_extra=yes; break
    4598 else
    4599   echo "$as_me: failed program was:" >&5
    4600 sed 's/^/| /' conftest.$ac_ext >&5
    4601 
    4602 fi
    4603 rm -f conftest.err conftest.$ac_objext \
    4604       conftest$ac_exeext conftest.$ac_ext
    4605      done
    4606      ac_ext=f
    4607 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4608 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4609 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4610 
    4611      if test "$ac_success_extra" = "yes"; then
    4612         ac_cv_f77_mangling="$ac_case case"
    4613         if test -z "$ac_underscore"; then
    4614            ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
    4615         else
    4616            ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
    4617         fi
    4618         if test -z "$ac_extra"; then
    4619            ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
    4620         else
    4621            ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
    4622         fi
    4623       else
    4624         ac_cv_f77_mangling="unknown"
    4625       fi
    4626   else
    4627      ac_cv_f77_mangling="unknown"
    4628   fi
    4629 
    4630   LIBS=$ac_save_LIBS
    4631   rm -f cfortran_test* conftest*
    4632 else
    4633   echo "$as_me: failed program was:" >&5
    4634 sed 's/^/| /' conftest.$ac_ext >&5
    4635 
    4636 { { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
    4637 See \`config.log' for more details." >&5
    4638 echo "$as_me: error: cannot compile a simple Fortran program
    4639 See \`config.log' for more details." >&2;}
    4640    { (exit 1); exit 1; }; }
    4641 fi
    4642 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4643 
    4644 fi
    4645 echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
    4646 echo "${ECHO_T}$ac_cv_f77_mangling" >&6
    4647 
    4648 ac_ext=f
    4649 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4650 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4651 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4652 
    4653 
    4654 ac_ext=f
    4655 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4656 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4657 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4658 
    4659 
    4660 ac_ext=f
    4661 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4662 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4663 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4664 
    4665 
    4666 case $ac_cv_f77_mangling in
    4667   "lower case, no underscore, no extra underscore")
    4668           cat >>confdefs.h <<\_ACEOF
    4669 #define F77_FUNC(name,NAME) name
    4670 _ACEOF
    4671 
    4672           cat >>confdefs.h <<\_ACEOF
    4673 #define F77_FUNC_(name,NAME) name
    4674 _ACEOF
    4675  ;;
    4676   "lower case, no underscore, extra underscore")
    4677           cat >>confdefs.h <<\_ACEOF
    4678 #define F77_FUNC(name,NAME) name
    4679 _ACEOF
    4680 
    4681           cat >>confdefs.h <<\_ACEOF
    4682 #define F77_FUNC_(name,NAME) name ## _
    4683 _ACEOF
    4684  ;;
    4685   "lower case, underscore, no extra underscore")
    4686           cat >>confdefs.h <<\_ACEOF
    4687 #define F77_FUNC(name,NAME) name ## _
    4688 _ACEOF
    4689 
    4690           cat >>confdefs.h <<\_ACEOF
    4691 #define F77_FUNC_(name,NAME) name ## _
    4692 _ACEOF
    4693  ;;
    4694   "lower case, underscore, extra underscore")
    4695           cat >>confdefs.h <<\_ACEOF
    4696 #define F77_FUNC(name,NAME) name ## _
    4697 _ACEOF
    4698 
    4699           cat >>confdefs.h <<\_ACEOF
    4700 #define F77_FUNC_(name,NAME) name ## __
    4701 _ACEOF
    4702  ;;
    4703   "upper case, no underscore, no extra underscore")
    4704           cat >>confdefs.h <<\_ACEOF
    4705 #define F77_FUNC(name,NAME) NAME
    4706 _ACEOF
    4707 
    4708           cat >>confdefs.h <<\_ACEOF
    4709 #define F77_FUNC_(name,NAME) NAME
    4710 _ACEOF
    4711  ;;
    4712   "upper case, no underscore, extra underscore")
    4713           cat >>confdefs.h <<\_ACEOF
    4714 #define F77_FUNC(name,NAME) NAME
    4715 _ACEOF
    4716 
    4717           cat >>confdefs.h <<\_ACEOF
    4718 #define F77_FUNC_(name,NAME) NAME ## _
    4719 _ACEOF
    4720  ;;
    4721   "upper case, underscore, no extra underscore")
    4722           cat >>confdefs.h <<\_ACEOF
    4723 #define F77_FUNC(name,NAME) NAME ## _
    4724 _ACEOF
    4725 
    4726           cat >>confdefs.h <<\_ACEOF
    4727 #define F77_FUNC_(name,NAME) NAME ## _
    4728 _ACEOF
    4729  ;;
    4730   "upper case, underscore, extra underscore")
    4731           cat >>confdefs.h <<\_ACEOF
    4732 #define F77_FUNC(name,NAME) NAME ## _
    4733 _ACEOF
    4734 
    4735           cat >>confdefs.h <<\_ACEOF
    4736 #define F77_FUNC_(name,NAME) NAME ## __
    4737 _ACEOF
    4738  ;;
    4739   *)
    4740           { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
    4741 echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
    4742           ;;
    4743 esac
    4744 
    4745 ac_ext=f
    4746 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4747 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4748 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4749 
     4235orig_FLIBS="$FLIBS"
    47504236
    47514237# If FLIBS has been set by the user, we just restore its value here
     
    47724258  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
    47734259  # Further, excluding libc.lib from the default libs seemed to be necessary only for VS < 8.
    4774   # Since the corresponding flag seems to make more trouble that it avoid, it has been removed now.
     4260  # Since the corresponding flag seems to make more trouble than it avoids, it has been removed now.
    47754261     *-cygwin* | *-mingw*)
    47764262       case "$F77" in
     
    48004286  ac_cv_f77_libs="$FLIBS"
    48014287fi
     4288
     4289if test "x$orig_FLIBS" != "x$FLIBS" ; then
     4290  { echo "$as_me:$LINENO: Corrected Fortran libraries: $FLIBS" >&5
     4291echo "$as_me: Corrected Fortran libraries: $FLIBS" >&6;}
     4292fi
     4293
     4294ac_ext=f
     4295ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4296ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4297ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4298
     4299echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     4300echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     4301if test "${ac_cv_f77_dummy_main+set}" = set; then
     4302  echo $ECHO_N "(cached) $ECHO_C" >&6
     4303else
     4304  ac_f77_dm_save_LIBS=$LIBS
     4305 LIBS="$LIBS $FLIBS"
     4306 ac_fortran_dm_var=F77_DUMMY_MAIN
     4307 ac_ext=c
     4308ac_cpp='$CPP $CPPFLAGS'
     4309ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4310ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4311ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4312
     4313 # First, try linking without a dummy main:
     4314 cat >conftest.$ac_ext <<_ACEOF
     4315/* confdefs.h.  */
     4316_ACEOF
     4317cat confdefs.h >>conftest.$ac_ext
     4318cat >>conftest.$ac_ext <<_ACEOF
     4319/* end confdefs.h.  */
     4320
     4321#ifdef F77_DUMMY_MAIN
     4322
     4323#  ifdef __cplusplus
     4324     extern "C"
     4325#  endif
     4326   int F77_DUMMY_MAIN() { return 1; }
     4327
     4328#endif
     4329int
     4330main ()
     4331{
     4332
     4333  ;
     4334  return 0;
     4335}
     4336_ACEOF
     4337rm -f conftest.$ac_objext conftest$ac_exeext
     4338if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4339  (eval $ac_link) 2>conftest.er1
     4340  ac_status=$?
     4341  grep -v '^ *+' conftest.er1 >conftest.err
     4342  rm -f conftest.er1
     4343  cat conftest.err >&5
     4344  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4345  (exit $ac_status); } &&
     4346         { ac_try='test -z "$ac_c_werror_flag"
     4347                         || test ! -s conftest.err'
     4348  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4349  (eval $ac_try) 2>&5
     4350  ac_status=$?
     4351  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4352  (exit $ac_status); }; } &&
     4353         { ac_try='test -s conftest$ac_exeext'
     4354  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4355  (eval $ac_try) 2>&5
     4356  ac_status=$?
     4357  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4358  (exit $ac_status); }; }; then
     4359  ac_cv_fortran_dummy_main=none
     4360else
     4361  echo "$as_me: failed program was:" >&5
     4362sed 's/^/| /' conftest.$ac_ext >&5
     4363
     4364ac_cv_fortran_dummy_main=unknown
     4365fi
     4366rm -f conftest.err conftest.$ac_objext \
     4367      conftest$ac_exeext conftest.$ac_ext
     4368
     4369 if test $ac_cv_fortran_dummy_main = unknown; then
     4370   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     4371     cat >conftest.$ac_ext <<_ACEOF
     4372/* confdefs.h.  */
     4373_ACEOF
     4374cat confdefs.h >>conftest.$ac_ext
     4375cat >>conftest.$ac_ext <<_ACEOF
     4376/* end confdefs.h.  */
     4377#define $ac_fortran_dm_var $ac_func
     4378#ifdef F77_DUMMY_MAIN
     4379
     4380#  ifdef __cplusplus
     4381     extern "C"
     4382#  endif
     4383   int F77_DUMMY_MAIN() { return 1; }
     4384
     4385#endif
     4386int
     4387main ()
     4388{
     4389
     4390  ;
     4391  return 0;
     4392}
     4393_ACEOF
     4394rm -f conftest.$ac_objext conftest$ac_exeext
     4395if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4396  (eval $ac_link) 2>conftest.er1
     4397  ac_status=$?
     4398  grep -v '^ *+' conftest.er1 >conftest.err
     4399  rm -f conftest.er1
     4400  cat conftest.err >&5
     4401  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4402  (exit $ac_status); } &&
     4403         { ac_try='test -z "$ac_c_werror_flag"
     4404                         || test ! -s conftest.err'
     4405  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4406  (eval $ac_try) 2>&5
     4407  ac_status=$?
     4408  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4409  (exit $ac_status); }; } &&
     4410         { ac_try='test -s conftest$ac_exeext'
     4411  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4412  (eval $ac_try) 2>&5
     4413  ac_status=$?
     4414  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4415  (exit $ac_status); }; }; then
     4416  ac_cv_fortran_dummy_main=$ac_func; break
     4417else
     4418  echo "$as_me: failed program was:" >&5
     4419sed 's/^/| /' conftest.$ac_ext >&5
     4420
     4421fi
     4422rm -f conftest.err conftest.$ac_objext \
     4423      conftest$ac_exeext conftest.$ac_ext
     4424   done
     4425 fi
     4426 ac_ext=f
     4427ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4428ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4429ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4430 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     4431 rm -f conftest*
     4432 LIBS=$ac_f77_dm_save_LIBS
     4433
     4434fi
     4435echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     4436echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     4437F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     4438if test "$F77_DUMMY_MAIN" != unknown; then
     4439  if test $F77_DUMMY_MAIN != none; then
     4440
     4441cat >>confdefs.h <<_ACEOF
     4442#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     4443_ACEOF
     4444
     4445  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     4446
     4447cat >>confdefs.h <<\_ACEOF
     4448#define FC_DUMMY_MAIN_EQ_F77 1
     4449_ACEOF
     4450
     4451  fi
     4452fi
     4453else
     4454  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     4455See \`config.log' for more details." >&5
     4456echo "$as_me: error: linking to Fortran libraries from C fails
     4457See \`config.log' for more details." >&2;}
     4458   { (exit 1); exit 1; }; }
     4459fi
     4460
     4461
     4462ac_ext=f
     4463ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4464ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4465ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4466
     4467ac_ext=f
     4468ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4469ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4470ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4471echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     4472echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     4473if test "${ac_cv_f77_mangling+set}" = set; then
     4474  echo $ECHO_N "(cached) $ECHO_C" >&6
     4475else
     4476  cat >conftest.$ac_ext <<_ACEOF
     4477      subroutine foobar()
     4478      return
     4479      end
     4480      subroutine foo_bar()
     4481      return
     4482      end
     4483_ACEOF
     4484rm -f conftest.$ac_objext
     4485if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4486  (eval $ac_compile) 2>conftest.er1
     4487  ac_status=$?
     4488  grep -v '^ *+' conftest.er1 >conftest.err
     4489  rm -f conftest.er1
     4490  cat conftest.err >&5
     4491  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4492  (exit $ac_status); } &&
     4493         { ac_try='test -z "$ac_f77_werror_flag"
     4494                         || test ! -s conftest.err'
     4495  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4496  (eval $ac_try) 2>&5
     4497  ac_status=$?
     4498  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4499  (exit $ac_status); }; } &&
     4500         { ac_try='test -s conftest.$ac_objext'
     4501  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4502  (eval $ac_try) 2>&5
     4503  ac_status=$?
     4504  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4505  (exit $ac_status); }; }; then
     4506  mv conftest.$ac_objext cfortran_test.$ac_objext
     4507
     4508  ac_save_LIBS=$LIBS
     4509  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     4510
     4511  ac_ext=c
     4512ac_cpp='$CPP $CPPFLAGS'
     4513ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4514ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4515ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4516  ac_success=no
     4517  for ac_foobar in foobar FOOBAR; do
     4518    for ac_underscore in "" "_"; do
     4519      ac_func="$ac_foobar$ac_underscore"
     4520      cat >conftest.$ac_ext <<_ACEOF
     4521/* confdefs.h.  */
     4522_ACEOF
     4523cat confdefs.h >>conftest.$ac_ext
     4524cat >>conftest.$ac_ext <<_ACEOF
     4525/* end confdefs.h.  */
     4526
     4527/* Override any gcc2 internal prototype to avoid an error.  */
     4528#ifdef __cplusplus
     4529extern "C"
     4530#endif
     4531/* We use char because int might match the return type of a gcc2
     4532   builtin and then its argument prototype would still apply.  */
     4533char $ac_func ();
     4534#ifdef F77_DUMMY_MAIN
     4535
     4536#  ifdef __cplusplus
     4537     extern "C"
     4538#  endif
     4539   int F77_DUMMY_MAIN() { return 1; }
     4540
     4541#endif
     4542int
     4543main ()
     4544{
     4545$ac_func ();
     4546  ;
     4547  return 0;
     4548}
     4549_ACEOF
     4550rm -f conftest.$ac_objext conftest$ac_exeext
     4551if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4552  (eval $ac_link) 2>conftest.er1
     4553  ac_status=$?
     4554  grep -v '^ *+' conftest.er1 >conftest.err
     4555  rm -f conftest.er1
     4556  cat conftest.err >&5
     4557  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4558  (exit $ac_status); } &&
     4559         { ac_try='test -z "$ac_c_werror_flag"
     4560                         || test ! -s conftest.err'
     4561  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4562  (eval $ac_try) 2>&5
     4563  ac_status=$?
     4564  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4565  (exit $ac_status); }; } &&
     4566         { ac_try='test -s conftest$ac_exeext'
     4567  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4568  (eval $ac_try) 2>&5
     4569  ac_status=$?
     4570  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4571  (exit $ac_status); }; }; then
     4572  ac_success=yes; break 2
     4573else
     4574  echo "$as_me: failed program was:" >&5
     4575sed 's/^/| /' conftest.$ac_ext >&5
     4576
     4577fi
     4578rm -f conftest.err conftest.$ac_objext \
     4579      conftest$ac_exeext conftest.$ac_ext
     4580    done
     4581  done
     4582  ac_ext=f
     4583ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4584ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4585ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4586
     4587  if test "$ac_success" = "yes"; then
     4588     case $ac_foobar in
     4589        foobar)
     4590           ac_case=lower
     4591           ac_foo_bar=foo_bar
     4592           ;;
     4593        FOOBAR)
     4594           ac_case=upper
     4595           ac_foo_bar=FOO_BAR
     4596           ;;
     4597     esac
     4598
     4599     ac_ext=c
     4600ac_cpp='$CPP $CPPFLAGS'
     4601ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4602ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4603ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4604     ac_success_extra=no
     4605     for ac_extra in "" "_"; do
     4606        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     4607        cat >conftest.$ac_ext <<_ACEOF
     4608/* confdefs.h.  */
     4609_ACEOF
     4610cat confdefs.h >>conftest.$ac_ext
     4611cat >>conftest.$ac_ext <<_ACEOF
     4612/* end confdefs.h.  */
     4613
     4614/* Override any gcc2 internal prototype to avoid an error.  */
     4615#ifdef __cplusplus
     4616extern "C"
     4617#endif
     4618/* We use char because int might match the return type of a gcc2
     4619   builtin and then its argument prototype would still apply.  */
     4620char $ac_func ();
     4621#ifdef F77_DUMMY_MAIN
     4622
     4623#  ifdef __cplusplus
     4624     extern "C"
     4625#  endif
     4626   int F77_DUMMY_MAIN() { return 1; }
     4627
     4628#endif
     4629int
     4630main ()
     4631{
     4632$ac_func ();
     4633  ;
     4634  return 0;
     4635}
     4636_ACEOF
     4637rm -f conftest.$ac_objext conftest$ac_exeext
     4638if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4639  (eval $ac_link) 2>conftest.er1
     4640  ac_status=$?
     4641  grep -v '^ *+' conftest.er1 >conftest.err
     4642  rm -f conftest.er1
     4643  cat conftest.err >&5
     4644  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4645  (exit $ac_status); } &&
     4646         { ac_try='test -z "$ac_c_werror_flag"
     4647                         || test ! -s conftest.err'
     4648  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4649  (eval $ac_try) 2>&5
     4650  ac_status=$?
     4651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4652  (exit $ac_status); }; } &&
     4653         { ac_try='test -s conftest$ac_exeext'
     4654  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4655  (eval $ac_try) 2>&5
     4656  ac_status=$?
     4657  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4658  (exit $ac_status); }; }; then
     4659  ac_success_extra=yes; break
     4660else
     4661  echo "$as_me: failed program was:" >&5
     4662sed 's/^/| /' conftest.$ac_ext >&5
     4663
     4664fi
     4665rm -f conftest.err conftest.$ac_objext \
     4666      conftest$ac_exeext conftest.$ac_ext
     4667     done
     4668     ac_ext=f
     4669ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4670ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4671ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4672
     4673     if test "$ac_success_extra" = "yes"; then
     4674        ac_cv_f77_mangling="$ac_case case"
     4675        if test -z "$ac_underscore"; then
     4676           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     4677        else
     4678           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     4679        fi
     4680        if test -z "$ac_extra"; then
     4681           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     4682        else
     4683           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     4684        fi
     4685      else
     4686        ac_cv_f77_mangling="unknown"
     4687      fi
     4688  else
     4689     ac_cv_f77_mangling="unknown"
     4690  fi
     4691
     4692  LIBS=$ac_save_LIBS
     4693  rm -f cfortran_test* conftest*
     4694else
     4695  echo "$as_me: failed program was:" >&5
     4696sed 's/^/| /' conftest.$ac_ext >&5
     4697
     4698{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     4699See \`config.log' for more details." >&5
     4700echo "$as_me: error: cannot compile a simple Fortran program
     4701See \`config.log' for more details." >&2;}
     4702   { (exit 1); exit 1; }; }
     4703fi
     4704rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4705
     4706fi
     4707echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     4708echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     4709
     4710ac_ext=f
     4711ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4712ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4713ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4714
     4715
     4716ac_ext=f
     4717ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4718ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4719ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4720
     4721ac_ext=f
     4722ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4723ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4724ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4725
     4726
     4727case $ac_cv_f77_mangling in
     4728  "lower case, no underscore, no extra underscore")
     4729          cat >>confdefs.h <<\_ACEOF
     4730#define F77_FUNC(name,NAME) name
     4731_ACEOF
     4732
     4733          cat >>confdefs.h <<\_ACEOF
     4734#define F77_FUNC_(name,NAME) name
     4735_ACEOF
     4736 ;;
     4737  "lower case, no underscore, extra underscore")
     4738          cat >>confdefs.h <<\_ACEOF
     4739#define F77_FUNC(name,NAME) name
     4740_ACEOF
     4741
     4742          cat >>confdefs.h <<\_ACEOF
     4743#define F77_FUNC_(name,NAME) name ## _
     4744_ACEOF
     4745 ;;
     4746  "lower case, underscore, no extra underscore")
     4747          cat >>confdefs.h <<\_ACEOF
     4748#define F77_FUNC(name,NAME) name ## _
     4749_ACEOF
     4750
     4751          cat >>confdefs.h <<\_ACEOF
     4752#define F77_FUNC_(name,NAME) name ## _
     4753_ACEOF
     4754 ;;
     4755  "lower case, underscore, extra underscore")
     4756          cat >>confdefs.h <<\_ACEOF
     4757#define F77_FUNC(name,NAME) name ## _
     4758_ACEOF
     4759
     4760          cat >>confdefs.h <<\_ACEOF
     4761#define F77_FUNC_(name,NAME) name ## __
     4762_ACEOF
     4763 ;;
     4764  "upper case, no underscore, no extra underscore")
     4765          cat >>confdefs.h <<\_ACEOF
     4766#define F77_FUNC(name,NAME) NAME
     4767_ACEOF
     4768
     4769          cat >>confdefs.h <<\_ACEOF
     4770#define F77_FUNC_(name,NAME) NAME
     4771_ACEOF
     4772 ;;
     4773  "upper case, no underscore, extra underscore")
     4774          cat >>confdefs.h <<\_ACEOF
     4775#define F77_FUNC(name,NAME) NAME
     4776_ACEOF
     4777
     4778          cat >>confdefs.h <<\_ACEOF
     4779#define F77_FUNC_(name,NAME) NAME ## _
     4780_ACEOF
     4781 ;;
     4782  "upper case, underscore, no extra underscore")
     4783          cat >>confdefs.h <<\_ACEOF
     4784#define F77_FUNC(name,NAME) NAME ## _
     4785_ACEOF
     4786
     4787          cat >>confdefs.h <<\_ACEOF
     4788#define F77_FUNC_(name,NAME) NAME ## _
     4789_ACEOF
     4790 ;;
     4791  "upper case, underscore, extra underscore")
     4792          cat >>confdefs.h <<\_ACEOF
     4793#define F77_FUNC(name,NAME) NAME ## _
     4794_ACEOF
     4795
     4796          cat >>confdefs.h <<\_ACEOF
     4797#define F77_FUNC_(name,NAME) NAME ## __
     4798_ACEOF
     4799 ;;
     4800  *)
     4801          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     4802echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     4803          ;;
     4804esac
     4805
     4806ac_ext=f
     4807ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4808ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4809ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    48024810
    48034811ac_ext=c
     
    71247132*-*-irix6*)
    71257133  # Find out which ABI we are using.
    7126   echo '#line 7126 "configure"' > conftest.$ac_ext
     7134  echo '#line 7134 "configure"' > conftest.$ac_ext
    71277135  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71287136  (eval $ac_compile) 2>&5
     
    91209128   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91219129   -e 's:$: $lt_compiler_flag:'`
    9122    (eval echo "\"\$as_me:9122: $lt_compile\"" >&5)
     9130   (eval echo "\"\$as_me:9130: $lt_compile\"" >&5)
    91239131   (eval "$lt_compile" 2>conftest.err)
    91249132   ac_status=$?
    91259133   cat conftest.err >&5
    9126    echo "$as_me:9126: \$? = $ac_status" >&5
     9134   echo "$as_me:9134: \$? = $ac_status" >&5
    91279135   if (exit $ac_status) && test -s "$ac_outfile"; then
    91289136     # The compiler can only warn and ignore the option if not recognized
     
    93889396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93899397   -e 's:$: $lt_compiler_flag:'`
    9390    (eval echo "\"\$as_me:9390: $lt_compile\"" >&5)
     9398   (eval echo "\"\$as_me:9398: $lt_compile\"" >&5)
    93919399   (eval "$lt_compile" 2>conftest.err)
    93929400   ac_status=$?
    93939401   cat conftest.err >&5
    9394    echo "$as_me:9394: \$? = $ac_status" >&5
     9402   echo "$as_me:9402: \$? = $ac_status" >&5
    93959403   if (exit $ac_status) && test -s "$ac_outfile"; then
    93969404     # The compiler can only warn and ignore the option if not recognized
     
    94929500   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94939501   -e 's:$: $lt_compiler_flag:'`
    9494    (eval echo "\"\$as_me:9494: $lt_compile\"" >&5)
     9502   (eval echo "\"\$as_me:9502: $lt_compile\"" >&5)
    94959503   (eval "$lt_compile" 2>out/conftest.err)
    94969504   ac_status=$?
    94979505   cat out/conftest.err >&5
    9498    echo "$as_me:9498: \$? = $ac_status" >&5
     9506   echo "$as_me:9506: \$? = $ac_status" >&5
    94999507   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95009508   then
     
    1190911917  lt_status=$lt_dlunknown
    1191011918  cat > conftest.$ac_ext <<EOF
    11911 #line 11911 "configure"
     11919#line 11919 "configure"
    1191211920#include "confdefs.h"
    1191311921
     
    1200912017  lt_status=$lt_dlunknown
    1201012018  cat > conftest.$ac_ext <<EOF
    12011 #line 12011 "configure"
     12019#line 12019 "configure"
    1201212020#include "confdefs.h"
    1201312021
     
    1436914377   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1437014378   -e 's:$: $lt_compiler_flag:'`
    14371    (eval echo "\"\$as_me:14371: $lt_compile\"" >&5)
     14379   (eval echo "\"\$as_me:14379: $lt_compile\"" >&5)
    1437214380   (eval "$lt_compile" 2>conftest.err)
    1437314381   ac_status=$?
    1437414382   cat conftest.err >&5
    14375    echo "$as_me:14375: \$? = $ac_status" >&5
     14383   echo "$as_me:14383: \$? = $ac_status" >&5
    1437614384   if (exit $ac_status) && test -s "$ac_outfile"; then
    1437714385     # The compiler can only warn and ignore the option if not recognized
     
    1447314481   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1447414482   -e 's:$: $lt_compiler_flag:'`
    14475    (eval echo "\"\$as_me:14475: $lt_compile\"" >&5)
     14483   (eval echo "\"\$as_me:14483: $lt_compile\"" >&5)
    1447614484   (eval "$lt_compile" 2>out/conftest.err)
    1447714485   ac_status=$?
    1447814486   cat out/conftest.err >&5
    14479    echo "$as_me:14479: \$? = $ac_status" >&5
     14487   echo "$as_me:14487: \$? = $ac_status" >&5
    1448014488   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1448114489   then
     
    1604316051   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1604416052   -e 's:$: $lt_compiler_flag:'`
    16045    (eval echo "\"\$as_me:16045: $lt_compile\"" >&5)
     16053   (eval echo "\"\$as_me:16053: $lt_compile\"" >&5)
    1604616054   (eval "$lt_compile" 2>conftest.err)
    1604716055   ac_status=$?
    1604816056   cat conftest.err >&5
    16049    echo "$as_me:16049: \$? = $ac_status" >&5
     16057   echo "$as_me:16057: \$? = $ac_status" >&5
    1605016058   if (exit $ac_status) && test -s "$ac_outfile"; then
    1605116059     # The compiler can only warn and ignore the option if not recognized
     
    1614716155   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1614816156   -e 's:$: $lt_compiler_flag:'`
    16149    (eval echo "\"\$as_me:16149: $lt_compile\"" >&5)
     16157   (eval echo "\"\$as_me:16157: $lt_compile\"" >&5)
    1615016158   (eval "$lt_compile" 2>out/conftest.err)
    1615116159   ac_status=$?
    1615216160   cat out/conftest.err >&5
    16153    echo "$as_me:16153: \$? = $ac_status" >&5
     16161   echo "$as_me:16161: \$? = $ac_status" >&5
    1615416162   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1615516163   then
     
    1835418362   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1835518363   -e 's:$: $lt_compiler_flag:'`
    18356    (eval echo "\"\$as_me:18356: $lt_compile\"" >&5)
     18364   (eval echo "\"\$as_me:18364: $lt_compile\"" >&5)
    1835718365   (eval "$lt_compile" 2>conftest.err)
    1835818366   ac_status=$?
    1835918367   cat conftest.err >&5
    18360    echo "$as_me:18360: \$? = $ac_status" >&5
     18368   echo "$as_me:18368: \$? = $ac_status" >&5
    1836118369   if (exit $ac_status) && test -s "$ac_outfile"; then
    1836218370     # The compiler can only warn and ignore the option if not recognized
     
    1862218630   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1862318631   -e 's:$: $lt_compiler_flag:'`
    18624    (eval echo "\"\$as_me:18624: $lt_compile\"" >&5)
     18632   (eval echo "\"\$as_me:18632: $lt_compile\"" >&5)
    1862518633   (eval "$lt_compile" 2>conftest.err)
    1862618634   ac_status=$?
    1862718635   cat conftest.err >&5
    18628    echo "$as_me:18628: \$? = $ac_status" >&5
     18636   echo "$as_me:18636: \$? = $ac_status" >&5
    1862918637   if (exit $ac_status) && test -s "$ac_outfile"; then
    1863018638     # The compiler can only warn and ignore the option if not recognized
     
    1872618734   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872718735   -e 's:$: $lt_compiler_flag:'`
    18728    (eval echo "\"\$as_me:18728: $lt_compile\"" >&5)
     18736   (eval echo "\"\$as_me:18736: $lt_compile\"" >&5)
    1872918737   (eval "$lt_compile" 2>out/conftest.err)
    1873018738   ac_status=$?
    1873118739   cat out/conftest.err >&5
    18732    echo "$as_me:18732: \$? = $ac_status" >&5
     18740   echo "$as_me:18740: \$? = $ac_status" >&5
    1873318741   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1873418742   then
Note: See TracChangeset for help on using the changeset viewer.